<template>
  <address v-if="address">
    <h2>{{ address.label }}</h2>
    <ul>
      <li>Road: {{ address.road }}</li>
      <li>Zip code: {{ address.zipCode }}</li>
      <li>City: {{ address.city }}</li>
      <li v-if="address.complement">Complement: {{ address.complement }}</li>
      <li v-if="address.country">Country: {{ address.country }}</li>
      <li v-if="address.state">State: {{ address.state }}</li>
    </ul>
    <button @click="$emit('update')">Modifier cette adresse</button>
    <button @click="$emit('search')">Chercher cette adresse</button>
  </address>
</template>

<script lang="js">
export default {
    props: {
      address: Object
    },
    emits: ['update', 'search']
}
</script>
